Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Network_Priority_Mapping_Manager_var Class Reference

`#include <Network_Priority_Mapping_Manager.h>`

Inheritance diagram for TAO_Network_Priority_Mapping_Manager_var:

[legend]
Collaboration diagram for TAO_Network_Priority_Mapping_Manager_var:

[legend]
List of all members.

## Public Methods
| TAO_Network_Priority_Mapping_Manager_var (void)
| TAO_Network_Priority_Mapping_Manager_var (TAO_Network_Priority_Mapping_Manager_ptr)
| TAO_Network_Priority_Mapping_Manager_var (const TAO_Network_Priority_Mapping_Manager_var &)
| ~TAO_Network_Priority_Mapping_Manager_var (void)
TAO_Network_Priority_Mapping_Manager_var & | operator= (TAO_Network_Priority_Mapping_Manager_ptr)
TAO_Network_Priority_Mapping_Manager_var & | operator= (const TAO_Network_Priority_Mapping_Manager_var &)
TAO_Network_Priority_Mapping_Manager_ptr | operator-> (void) const
| operator const TAO_Network_Priority_Mapping_Manager_ptr & () const
| in, inout, out, _retn. More...
| operator TAO_Network_Priority_Mapping_Manager_ptr & ()
TAO_Network_Priority_Mapping_Manager_ptr | in (void) const
TAO_Network_Priority_Mapping_Manager_ptr & | inout (void)
TAO_Network_Priority_Mapping_Manager_ptr & | out (void)
TAO_Network_Priority_Mapping_Manager_ptr | _retn (void)
TAO_Network_Priority_Mapping_Manager_ptr | ptr (void) const
## Static Public Methods
TAO_Network_Priority_Mapping_Manager_ptr | duplicate (TAO_Network_Priority_Mapping_Manager_ptr)
void | release (TAO_Network_Priority_Mapping_Manager_ptr)
TAO_Network_Priority_Mapping_Manager_ptr | nil (void)
TAO_Network_Priority_Mapping_Manager_ptr | narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | upcast (void *)
## Private Methods
| TAO_Network_Priority_Mapping_Manager_var (const TAO_Base_var &rhs)
TAO_Network_Priority_Mapping_Manager_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
TAO_Network_Priority_Mapping_Manager_ptr | ptr_
| Unimplemented - prevents widening assignment. More...

## Constructor & Destructor Documentation

ACE_INLINE TAO_Network_Priority_Mapping_Manager_var::TAO_Network_Priority_Mapping_Manager_var | ( | void |  | ) |

ACE_INLINE TAO_Network_Priority_Mapping_Manager_var::TAO_Network_Priority_Mapping_Manager_var | ( | TAO_Network_Priority_Mapping_Manager_ptr | p | ) |

TAO_Network_Priority_Mapping_Manager_var::TAO_Network_Priority_Mapping_Manager_var | ( | const TAO_Network_Priority_Mapping_Manager_var & |  | ) |

ACE_INLINE TAO_Network_Priority_Mapping_Manager_var::~TAO_Network_Priority_Mapping_Manager_var | ( | void |  | ) |

TAO_Network_Priority_Mapping_Manager_var::TAO_Network_Priority_Mapping_Manager_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager_var::_retn | ( | void |  | ) |

TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager_var::duplicate | ( | TAO_Network_Priority_Mapping_Manager_ptr |  | ) | `[static]`

TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager_var::in | ( | void |  | ) | const

TAO_Network_Priority_Mapping_Manager_ptr& TAO_Network_Priority_Mapping_Manager_var::inout | ( | void |  | ) |

TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager_var::narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager_var::nil | ( | void |  | ) | `[static]`

TAO_Network_Priority_Mapping_Manager_var::operator const TAO_Network_Priority_Mapping_Manager_ptr & | ( |  | ) | const

| in, inout, out, _retn.

TAO_Network_Priority_Mapping_Manager_var::operator TAO_Network_Priority_Mapping_Manager_ptr & | ( |  | ) |

TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager_var::operator-> | ( | void |  | ) | const

TAO_Network_Priority_Mapping_Manager_var& TAO_Network_Priority_Mapping_Manager_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

TAO_Network_Priority_Mapping_Manager_var& TAO_Network_Priority_Mapping_Manager_var::operator= | ( | const TAO_Network_Priority_Mapping_Manager_var & |  | ) |

ACE_INLINE TAO_Network_Priority_Mapping_Manager_var & TAO_Network_Priority_Mapping_Manager_var::operator= | ( | TAO_Network_Priority_Mapping_Manager_ptr | p | ) |

TAO_Network_Priority_Mapping_Manager_ptr& TAO_Network_Priority_Mapping_Manager_var::out | ( | void |  | ) |

ACE_INLINE::TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager_var::ptr | ( | void |  | ) | const

void TAO_Network_Priority_Mapping_Manager_var::release | ( | TAO_Network_Priority_Mapping_Manager_ptr |  | ) | `[static]`

CORBA::Object* TAO_Network_Priority_Mapping_Manager_var::upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

TAO_Network_Priority_Mapping_Manager_ptr TAO_Network_Priority_Mapping_Manager_var::ptr_`[private]`

| Unimplemented - prevents widening assignment.

The documentation for this class was generated from the following files:

- Network_Priority_Mapping_Manager.h
- Network_Priority_Mapping_Manager.i